Bug 1820868 - [abrt] libreoffice-core: SvxSearchDialogWrapper::GetSearchLabel()(): soffice.bin killed by SIGSEGV
Summary: [abrt] libreoffice-core: SvxSearchDialogWrapper::GetSearchLabel()(): soffice....
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:aab534526a8204955bfa99d6948...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-04 11:24 UTC by Alessio Savi
Modified: 2020-04-09 18:18 UTC (History)
4 users (show)

Fixed In Version: libreoffice-6.3.5.2-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 18:18:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (129.58 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: cgroup (499 bytes, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: core_backtrace (31.15 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: cpuinfo (2.35 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: dso_list (25.60 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: environ (3.29 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: exploitable (82 bytes, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: limits (1.29 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: maps (158.24 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: mountinfo (3.89 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: open_fds (2.73 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-04-04 11:25 UTC, Alessio Savi
no flags Details

Description Alessio Savi 2020-04-04 11:24:58 UTC
Version-Release number of selected component:
1:libreoffice-core-6.3.5.2-3.fc31

Additional info:
reporter:       libreport-2.12.0
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --calc file:///home/alessiosavi/WORKSPACE/Jupyter/Tagetik/CSV_INPUT2.csv --splash-pipe=6
crash_function: SvxSearchDialogWrapper::GetSearchLabel()
executable:     /usr/lib64/libreoffice/program/soffice.bin
journald_cursor: s=557ac102a3c144b187c6a71de2810b6c;i=160d52;b=e6544e74cd4b433183cbc94a2c64f64f;m=47a6837c;t=5a274c2e8a962;x=469419b2e801f89c
kernel:         5.5.13-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 SvxSearchDialogWrapper::GetSearchLabel() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/svx/source/dialog/srchdlg.cxx:2443
 #1 (anonymous namespace)::SearchLabelToolboxController::statusChanged(com::sun::star::frame::FeatureStateEvent const&) at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/svx/source/tbxctrls/tbunosearchcontrollers.cxx:1273
 #2 svt::ToolboxController::bindListener() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/svtools/source/uno/toolboxcontroller.cxx:535
 #3 framework::ToolBarManager::UpdateControllers() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/framework/source/uielement/toolbarmanager.cxx:364
 #4 framework::ToolBarManager::AsyncUpdateControllersHdl(Timer*) at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/framework/source/uielement/toolbarmanager.cxx:1858
 #5 Scheduler::ProcessTaskScheduling() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/vcl/source/app/scheduler.cxx:477
 #6 SalTimer::CallCallback() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/vcl/inc/saltimer.hxx:55
 #7 sal_gtk_timeout_dispatch(GSource*, GSourceFunc, gpointer) at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/vcl/unx/gtk3/gtk3gtkdata.cxx:761
 #12 DialogRunner::run() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/vcl/unx/gtk3/gtk3gtkinst.cxx:3071
 #13 GtkInstanceDialog::run() at /usr/src/debug/libreoffice-6.3.5.2-3.fc31.x86_64/vcl/unx/gtk3/gtk3gtkinst.cxx:4893

Comment 1 Alessio Savi 2020-04-04 11:25:03 UTC
Created attachment 1676178 [details]
File: backtrace

Comment 2 Alessio Savi 2020-04-04 11:25:05 UTC
Created attachment 1676179 [details]
File: cgroup

Comment 3 Alessio Savi 2020-04-04 11:25:07 UTC
Created attachment 1676180 [details]
File: core_backtrace

Comment 4 Alessio Savi 2020-04-04 11:25:09 UTC
Created attachment 1676181 [details]
File: cpuinfo

Comment 5 Alessio Savi 2020-04-04 11:25:12 UTC
Created attachment 1676182 [details]
File: dso_list

Comment 6 Alessio Savi 2020-04-04 11:25:14 UTC
Created attachment 1676183 [details]
File: environ

Comment 7 Alessio Savi 2020-04-04 11:25:16 UTC
Created attachment 1676184 [details]
File: exploitable

Comment 8 Alessio Savi 2020-04-04 11:25:18 UTC
Created attachment 1676185 [details]
File: limits

Comment 9 Alessio Savi 2020-04-04 11:25:21 UTC
Created attachment 1676186 [details]
File: maps

Comment 10 Alessio Savi 2020-04-04 11:25:23 UTC
Created attachment 1676187 [details]
File: mountinfo

Comment 11 Alessio Savi 2020-04-04 11:25:25 UTC
Created attachment 1676188 [details]
File: open_fds

Comment 12 Alessio Savi 2020-04-04 11:25:27 UTC
Created attachment 1676189 [details]
File: proc_pid_status

Comment 13 Caolan McNamara 2020-04-04 18:28:26 UTC
looks like deref of a null xLayoutManager

Comment 14 Fedora Update System 2020-04-05 19:47:09 UTC
FEDORA-2020-2865163e36 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2865163e36

Comment 15 Fedora Update System 2020-04-06 09:30:46 UTC
FEDORA-2020-2865163e36 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2865163e36`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2865163e36

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-04-09 18:18:38 UTC
FEDORA-2020-2865163e36 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.